/* Rounds a double precision number to a given number of decimals.
 */

public class  RoundedNumber {

    protected static final int default_precission = 4;
    protected double number;
    
    public static String getRoundedNumber(double n) {
        int precission = default_precission;
        return(new String( (new Double(Math.round(n*Math.pow(10, precission)) /
                                            Math.pow(10, precission) )).toString() ));
    }
    
    public RoundedNumber(double n) {
        number = n;        
    }
    
    public String toString() {
        return (toString(default_precission));
    }
    
    public String toString(int precission) {
        
        return(new String( (new Double(Math.round(number*Math.pow(10, precission)) /
                                            Math.pow(10, precission) )).toString() ));
    }
}
